using System;
using System.Collections.Generic;
using System.ComponentModel.DataAnnotations;
using System.ComponentModel.DataAnnotations.Schema;
using Microsoft.EntityFrameworkCore;

namespace Fast.Shared.Database.Models;

[Keyless]
public partial class VwCounterpartyOverviewInfo
{
    [Column("counterparty_id")]
    public int? CounterpartyId { get; set; }

    [Column("parents", TypeName = "citext")]
    public string? Parents { get; set; }

    [Column("relationships", TypeName = "citext")]
    public string? Relationships { get; set; }

    [Column("products", TypeName = "citext")]
    public string? Products { get; set; }

    [Column("duns", TypeName = "citext")]
    public string? Duns { get; set; }
}
